Module jdk.xml.dom
Package org.w3c.dom.html

# Interface HTMLLinkElement

All Superinterfaces:
  `Element`, `HTMLElement`, `Node`

    public interface HTMLLinkElement
    extends HTMLElement

The `LINK` element specifies a link to an external resource, and defines this document's relationship to that resource (or vice versa). See the LINK element definition in HTML 4.0 (see also the `LinkStyle` interface in the module).

See also the Document Object Model (DOM) Level 2 Specification.

Since:
  1.4, DOM Level 2

## Field Summary

### Fields declared in interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getCharset()` | The character encoding of the resource being linked to.
`boolean` | `getDisabled()` | Enables/disables the link.
`String` | `getHref()` | The URI of the linked resource.
`String` | `getHreflang()` | Language code of the linked resource.
`String` | `getMedia()` | Designed for use with one or more target media.
`String` | `getRel()` | Forward link type.
`String` | `getRev()` | Reverse link type.
`String` | `getTarget()` | Frame to render the resource in.
`String` | `getType()` | Advisory content type.
`void` | `setCharset​(String charset)` |
`void` | `setDisabled​(boolean disabled)` |
`void` | `setHref​(String href)` |
`void` | `setHreflang​(String hreflang)` |
`void` | `setMedia​(String media)` |
`void` | `setRel​(String rel)` |
`void` | `setRev​(String rev)` |
`void` | `setTarget​(String target)` |
`void` | `setType​(String type)` |

### Methods declared in interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods declared in interface org.w3c.dom.html.HTMLElement

`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

### Methods declared in interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

## Method Details

### getDisabled

boolean getDisabled()
Enables/disables the link. This is currently only used for style sheet links, and may be used to activate or deactivate style sheets.

### setDisabled

void setDisabled​(boolean disabled)

### getCharset

String getCharset()
The character encoding of the resource being linked to. See the charset attribute definition in HTML 4.0.

### setCharset

void setCharset​(String charset)

### getHref

String getHref()
The URI of the linked resource. See the href attribute definition in HTML 4.0.

### setHref

void setHref​(String href)

### getHreflang

String getHreflang()
Language code of the linked resource. See the hreflang attribute definition in HTML 4.0.

### setHreflang

void setHreflang​(String hreflang)

### getMedia

String getMedia()
Designed for use with one or more target media. See the media attribute definition in HTML 4.0.

### setMedia

void setMedia​(String media)

### getRel

String getRel()
Forward link type. See the rel attribute definition in HTML 4.0.

### setRel

void setRel​(String rel)

### getRev

String getRev()
Reverse link type. See the rev attribute definition in HTML 4.0.

### setRev

void setRev​(String rev)

### getTarget

String getTarget()
Frame to render the resource in. See the target attribute definition in HTML 4.0.

### setTarget

void setTarget​(String target)

### getType

String getType()
Advisory content type. See the type attribute definition in HTML 4.0.

### setType

void setType​(String type)